# Holy War

Holy war is a long passionate argument over a choice (often between two options) that touches an issue which is within given community deemed controversial and "religious", which to an outsider typically seems like a childish, hard to understand rant about an insignificant thing. In technology circles holy wars revolve e.g. around [operating systems](os.md), [programming languages](programming_language.md), [licenses](license.md), source code formatting etc. Such a war separates people into almost religious groups that sometimes argue to death about details such as what name something should be given, very much resembling traditional disagreements between religions and their churches. In holy wars people tend to defend whichever side they stand on to the death and can get emotional when discussing the topic. Some examples of holy wars are (in brackets indicated the side taken by [LRS](lrs.md)):

- **[tabs](tab.md) vs spaces** (spaces)
- **[vim](vim.md) vs [emacs](emacs.md)** (vim)
- **[free software](free_software.md) vs [open source](open_source.md)** (free software)
- **[Chrome](chrome.md) vs [Firefox](firefox.md)**, and other browsers
- **[Java](java.md) vs [C++](cpp.md)**, and other [programming languages](programming_language.md) ([C](c.md))
- **[curly brackets on separate lines or not](programming_style.md)**, and other [style](programming_style.md) choices
- **[KDE](kde.md) vs [GNOME](gnome.md)** (neither, both are [bloat](bloat.md))
- **pronunciation of [gif](gif.md) as "gif" vs "jif"**
- **[Windows](windows.md) vs [Mac](mac.md)** (neither, this is a normie holy war)
- **"[GNU](gnu.md)/Linux" vs "[Linux](linux.md)"**
- **[copyleft](copyleft.md) vs [permissive](permissive.md)** (permissive, [public domain](public_domain.md))
- **[AMD](amd.md) vs [Intel](intel.md)**
- **[AMD](amd.md) vs [NVidia](nvidia.md)**
- **"Linux" [distros](distro.md)**
- **[window managers](wm.md)**
- **[Metric](metric_system.md) vs [Imperial](imperial_units.md) units** (metric)
- **Star Trek vs Star Wars**, and other franchise wars
- **Pepsi vs Coca Cola**, and other brand wars
- **[Quake](quake.md) vs Unreal Tournament**, and similar gaming shit
- **[gopher](gopher.md) vs [gemini](gemini.md)** (gopher)

Things like cats vs dogs or sci-fi vs fantasy may or may not be a holy war, there is a bit of a doubt in the fact that one can easily like both and/or not be such a diehard fan of one or the other. A subject of holy war probably has to be something that doesn't allow too much of this.